Subject: Re: bug#8025: 24.0.50; vc-bzr does not perform initial commit

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Mar 2011 20:34:26 +0200

> From: Christoph Scholtes <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 01 Mar 2011 23:00:22 -0700
> 
> Glenn Morris <[email-masked]> writes:
> 
> > Also remember there is the annoying bzr locking issue. Eg doing `bzr up'
> > renders `bzr status' unusable so long as it is running. So it is not
> > just the speed of the status command that is a factor.
> 
> OK, but one could argue that this is a bzr issue and should be fixed
> there

It cannot be fixed in bzr, not unless they redesign and rewrite the
branch locking code from scratch.  Atomicity of transactions is
important, so locks on the directory or some of its files must be used
at least at some strategic points of time.